Commit 6408baf5 authored by BIOPZ-Schmidt Ralf's avatar BIOPZ-Schmidt Ralf

added pymongo package to requirements file of the py2 environment

parent 0e479784
......@@ -52,12 +52,12 @@ With the installation of the environment, the following software is installed as
#### Step 3: Creating a new python2 environment to run PAQR
PAQR relies on packages that are available only for python2 currently. To ensure that PAQR runs properly, this python2 environment is installed.
```bash
conda create -n py2_paqr python=2 -c bioconda --file requirements_py2.txt
conda create -n py2_paqr python=2 -c bioconda -c anaconda --file requirements_py2.txt
```
The following python packages are available in this python2 environment:
- [HTSeq] (https://htseq.readthedocs.io/en/release_0.9.1/index.html) (v0.7.2)
- [RseQC] (http://rseqc.sourceforge.net) (2.6.4)
- [HTSeq](https://htseq.readthedocs.io/en/release_0.9.1/index.html) (v0.7.2)
- [RseQC](http://rseqc.sourceforge.net) (v2.6.4)
#### Step 4: Activate the environment
(only the python3 environment needs to be activated; the py2_paqr environment is only used internally)
......
......@@ -3,3 +3,4 @@
python=2.7.11
htseq=0.7.2
rseqc=2.6.4
pymongo=3.4.0
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment